This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: IDLE: "Unrecoverable server exiting" message
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: albertpython, epaine, miss-islington, terry.reedy, vstinner
Priority: normal Keywords: patch

Created on 2020-08-03 23:03 by albertpython, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21798 merged terry.reedy, 2020-08-09 17:45
PR 21800 merged miss-islington, 2020-08-09 20:08
PR 21801 merged miss-islington, 2020-08-09 20:08
Messages (11)
msg374766 - (view) Author: Albert Francis (albertpython) Date: 2020-08-03 23:03
How to solve unrecoverable server exiting in IDLE
msg374796 - (view) Author: E. Paine (epaine) * Date: 2020-08-04 08:42
To help us to reproduce and understand the issue, please could you give us 1) a more detailed explanation of the problem you are facing and 2) steps to reproduce the issue (maybe providing a minimal code example if that is the cause). Is this a bug with IDLE, though, as you say "solve" (which I interpret to mean you want help with your code) in which case it may be better suited to Stack Overflow?
msg374799 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-08-04 10:29
Start IDLE in a Terminal/Command Prompt window with `python -m idlelib`, where 'python` is whatever runs your most recent 3.x python.  Then see if an error message shows up after IDLE exits.
msg374803 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-08-04 11:25
One should never see this message.  As far as I remember, I have seen it only once in the last several years.  It is intended to indicate a 'random' non-reproducible glitch in the communication machinery connecting the IDLE GUI process and the user code execution process.  The most likely solution is to retry what you were doing.  A report should only be made is the error is reproducible. "Unrecoverable, server exiting" is meant to convey this, but the meaning should be explained in the message.  So I consider this a doc improvement issue.

If you report a repeatable failure, then we can look into that.
msg374804 - (view) Author: Albert Francis (albertpython) Date: 2020-08-04 12:40
Dear Sir,

I got the solution. Thanks

On Tue, 4 Aug 2020, 16:55 Terry J. Reedy, <report@bugs.python.org> wrote:

>
> Terry J. Reedy <tjreedy@udel.edu> added the comment:
>
> One should never see this message.  As far as I remember, I have seen it
> only once in the last several years.  It is intended to indicate a 'random'
> non-reproducible glitch in the communication machinery connecting the IDLE
> GUI process and the user code execution process.  The most likely solution
> is to retry what you were doing.  A report should only be made is the error
> is reproducible. "Unrecoverable, server exiting" is meant to convey this,
> but the meaning should be explained in the message.  So I consider this a
> doc improvement issue.
>
> If you report a repeatable failure, then we can look into that.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue41468>
> _______________________________________
>
msg375079 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-08-09 20:08
New changeset f2e161c27964a59bc5ab20d96f87ba5862c6222d by Terry Jan Reedy in branch 'master':
bpo-41468: Improve and test IDLE run error exit  (GH-21798)
https://github.com/python/cpython/commit/f2e161c27964a59bc5ab20d96f87ba5862c6222d
msg375080 - (view) Author: miss-islington (miss-islington) Date: 2020-08-09 20:26
New changeset a9fa66377fbd9ea2fca1483345a8c27d1b32d5b4 by Miss Islington (bot) in branch '3.9':
bpo-41468: Improve and test IDLE run error exit  (GH-21798)
https://github.com/python/cpython/commit/a9fa66377fbd9ea2fca1483345a8c27d1b32d5b4
msg375081 - (view) Author: miss-islington (miss-islington) Date: 2020-08-09 20:26
New changeset 61f23cb62d6bdd72b61fc36abf4c1492493d71af by Miss Islington (bot) in branch '3.8':
bpo-41468: Improve and test IDLE run error exit  (GH-21798)
https://github.com/python/cpython/commit/61f23cb62d6bdd72b61fc36abf4c1492493d71af
msg375107 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-08-10 12:02
test_error() of test_idle fails when it's run twice in a row: bpo-41514 "test_idle: test_error() failed on aarch64 RHEL8 Refleaks 3.8".
msg375113 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-08-10 13:55
Test error fixed on issue 41514.
msg375161 - (view) Author: Albert Francis (albertpython) Date: 2020-08-11 01:58
Got it, thanks!

On Mon, 10 Aug 2020, 19:26 Terry J. Reedy, <report@bugs.python.org> wrote:

>
> Terry J. Reedy <tjreedy@udel.edu> added the comment:
>
> Test error fixed on issue 41514.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue41468>
> _______________________________________
>
History
Date User Action Args
2022-04-11 14:59:34adminsetgithub: 85640
2021-09-27 17:03:18terry.reedysettitle: Unrecoverable server exiting -> IDLE: "Unrecoverable server exiting" message
2020-08-11 01:58:26albertpythonsetmessages: + msg375161
2020-08-10 13:55:47terry.reedysetmessages: + msg375113
2020-08-10 12:02:57vstinnersetnosy: + vstinner
messages: + msg375107
2020-08-10 00:41:08terry.reedysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-08-09 20:26:40miss-islingtonsetmessages: + msg375081
2020-08-09 20:26:28miss-islingtonsetmessages: + msg375080
2020-08-09 20:08:50miss-islingtonsetpull_requests: + pull_request20936
2020-08-09 20:08:42miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request20935
2020-08-09 20:08:37terry.reedysetmessages: + msg375079
2020-08-09 17:45:01terry.reedysetkeywords: + patch
stage: patch review
pull_requests: + pull_request20933
2020-08-04 12:40:39albertpythonsetmessages: + msg374804
2020-08-04 11:25:03terry.reedysetmessages: + msg374803
2020-08-04 10:29:44terry.reedysetmessages: + msg374799
versions: + Python 3.10, - Python 3.5, Python 3.6, Python 3.7, Python 3.8
2020-08-04 08:42:47epainesetnosy: + epaine
messages: + msg374796
2020-08-03 23:03:19albertpythoncreate